# Copyright 2019 Google LLC
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

# ARM NEON
- name: xnn_f32_prelu_ukernel__neon_1x4
- name: xnn_f32_prelu_ukernel__neon_1x8
- name: xnn_f32_prelu_ukernel__neon_1x16
- name: xnn_f32_prelu_ukernel__neon_2x4
- name: xnn_f32_prelu_ukernel__neon_2x8
- name: xnn_f32_prelu_ukernel__neon_2x16
- name: xnn_f32_prelu_ukernel__neon_4x4
- name: xnn_f32_prelu_ukernel__neon_4x8
- name: xnn_f32_prelu_ukernel__neon_4x16
# x86 SSE
- name: xnn_f32_prelu_ukernel__sse_2x4
- name: xnn_f32_prelu_ukernel__sse_2x8
- name: xnn_f32_prelu_ukernel__sse2_2x4
- name: xnn_f32_prelu_ukernel__sse2_2x8
- name: xnn_f32_prelu_ukernel__sse41_2x4
- name: xnn_f32_prelu_ukernel__sse41_2x8
# x86 AVX
- name: xnn_f32_prelu_ukernel__avx_2x8
- name: xnn_f32_prelu_ukernel__avx_2x16
# x86 AVX512
- name: xnn_f32_prelu_ukernel__avx512f_2x16
- name: xnn_f32_prelu_ukernel__avx512f_2x32
# WAsm SIMD
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_1x4
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_1x8
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_1x16
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_2x4
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_2x8
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_2x16
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_4x4
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_4x8
- name: xnn_f32_prelu_ukernel__wasmsimd_bitselect_4x16
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_1x4
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_1x8
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_1x16
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_2x4
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_2x8
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_2x16
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_4x4
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_4x8
- name: xnn_f32_prelu_ukernel__wasmsimd_minmax_4x16
# WAsm
- name: xnn_f32_prelu_ukernel__wasm_2x1
- name: xnn_f32_prelu_ukernel__wasm_2x4
# Scalar
- name: xnn_f32_prelu_ukernel__scalar_2x1
- name: xnn_f32_prelu_ukernel__scalar_2x4
